%global pkgname xwayland
%global default_font_path "catalogue:/etc/X11/fontpath.d,built-ins"

Summary:   Xwayland
Name:      xorg-x11-server-Xwayland
Version:   23.1.2
Release:   2%{?dist}
License:   MIT
URL:       http://www.x.org
Source0:   https://gitlab.freedesktop.org/xorg/xserver/-/archive/%{pkgname}-%{version}/xserver-%{pkgname}-%{version}.tar.gz

BuildRequires: gcc meson git-core
BuildRequires: wayland-devel pkgconfig(wayland-protocols) pkgconfig(wayland-eglstream-protocols)
BuildRequires: pkgconfig(wayland-client) >= 1.18.0
BuildRequires: pkgconfig(fontenc) pkgconfig(pixman-1)
BuildRequires: pkgconfig(x11) pkgconfig(xau) pkgconfig(xdmcp) pkgconfig(xext)
BuildRequires: pkgconfig(xfixes) pkgconfig(xfont2) pkgconfig(xi) pkgconfig(xinerama)
BuildRequires: pkgconfig(xkbfile) pkgconfig(xmu) pkgconfig(xpm) pkgconfig(xrender)
BuildRequires: pkgconfig(xres) pkgconfig(xtst) pkgconfig(xv) pkgconfig(libxcvt) libxcvt
BuildRequires: pkgconfig(xcb-aux) pkgconfig(xcb-image) pkgconfig(xcb-icccm)
BuildRequires: pkgconfig(xcb-keysyms) pkgconfig(xcb-renderutil)
BuildRequires: pkgconfig(epoxy) >= 1.5.5
BuildRequires: pkgconfig(libdrm) >= 2.4.0
BuildRequires: pkgconfig(xorg-macros) >= 1.17
BuildRequires: pkgconfig(xshmfence) >= 1.1
BuildRequires: pkgconfig(xtrans) >= 1.3.2
BuildRequires: xorg-x11-proto-devel >= 7.7-10
BuildRequires: mesa-libGL-devel >= 9.2
BuildRequires: mesa-libEGL-devel mesa-libgbm-devel
BuildRequires: audit-libs-devel pkgconfig(libssl) pkgconfig(libtirpc)
BuildRequires: libselinux-devel >= 2.0.86-1
#for check
BuildRequires: desktop-file-utils

Requires: xorg-x11-server-common
Requires: libEGL
Requires: libepoxy >= 1.5.5

%description
Xwayland is an X server for running X clients under Wayland.


%package devel
Summary: Development package
Requires: pkgconfig

%description devel
The development package provides the developmental files which are
necessary for developing Wayland compositors using Xwayland.


%prep
%autosetup -S git_am -n xserver-%{pkgname}-%{version}

%build
%meson  -Dxwayland_eglstream=true \
        -Ddefault_font_path=%{default_font_path} \
        -Dbuilder_string="Build ID: %{name} %{version}-%{release}" \
        -Dxkb_output_dir=%{_localstatedir}/lib/xkb \
        -Dxcsecurity=true \
        -Dglamor=true \
        -Ddri3=true

%meson_build


%install
%meson_install

rm %{buildroot}%{_mandir}/man1/Xserver.1*
rm -Rf %{buildroot}%{_libdir}/xorg
rm -Rf %{buildroot}%{_includedir}/xorg
rm -Rf %{buildroot}%{_datadir}/aclocal
rm -Rf %{buildroot}%{_localstatedir}/lib/xkb


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop


%files
%{_bindir}/Xwayland
%{_datadir}/applications/org.freedesktop.Xwayland.desktop
%{_mandir}/man1/Xwayland.1*

%files devel
%{_libdir}/pkgconfig/xwayland.pc


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 23.1.2-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Jul 5 2023 rockerzhu <rockerzhu@tencent.com> - 23.1.2-1
- Upgrade to 23.1.2

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 22.1.5-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 22.1.5-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Dec 2 2022 rockerzhu <rockerzhu@tencent.com> - 22.1.5-1
- Initial build
